<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of sisotool module
 * Copyright (C) 2016 - INRIA - Serge Steer
 *
 * This file is hereby licensed under the terms of the GNU GPL v2.0,
 * pursuant to article 5.3.4 of the CeCILL v.2.1.
 * For more information, see the COPYING file which you should have received
 * along with this program.
-->
<refentry xml:id="sisotoolSelectView" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:scilab="http://www.scilab.org"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <refnamediv>
    <refname>sisotoolSelectView</refname>

    <refpurpose>Opens a GUI for transfer function selection.</refpurpose>
  </refnamediv>

  <refsection>
    <title>Synopsis</title>

    <synopsis>sisotoolSelectView(win,axesIndex) </synopsis>
  </refsection>

  <refsection>
    <title>Arguments</title>

    <variablelist>
      <varlistentry>
        <term>win</term>

        <listitem>
          <para>An integer, the analysers window's figure id.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>axesIndex</term>

        <listitem>
          <para>An integer, the index of sub window in the figure's children
          for which the contextual menu has been called.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>This callback of the analyzers contextual menu (see <link
    linkend="sisotoolAnalysersCMenu">sisotoolAnalysersCMenu</link>), opens a
    GUI which allow the selection of the sub windows to be displayed in the
    Analysers window.</para>
  </refsection>

  <refsection>
    <title>Called functions</title>

    <informaltable border="1">
      <tr>
        <td><link linkend="sisotoolGetSession">
        <function>sisotoolGetSession</function> </link></td>

        <td>retrieves the <link linkend="sisotoolSessionData">session data
        structure</link> from the editors window user_data field.</td>
      </tr>

      <tr>
        <td><link linkend="sisotoolView"> <function>sisotoolView</function>
        </link></td>

        <td>returns the characteristics of the transfer functions associated
        with a given architecture.</td>
      </tr>
    </informaltable>
  </refsection>

  <refsection>
    <title>Callback</title>

    <informaltable border="1">
      <tr>
        <td><link linkend="sisotoolApplyView"> sisotoolApplyViews</link></td>

        <td>Updates the Analysers window to set the user selected sub
        windows.</td>
      </tr>
    </informaltable>
  </refsection>
</refentry>
